LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Loading VI's

Solved!
Go to solution
Highlighted

I have recently installed the following Labview products on my home PC:

2016 64 bit [2016LV-64WinEng]

2016CDSim-32Win

NI4882_1600f0

 

When I try to open a labview file that I have created on the system installed on the university computers [and can open without issue], when loading the VI's, I am prompted that the system cannot locate a particular vi file.  In most cases I have found the files by searching manually.  I am then promted for the next vi file and so on and so on.

 

Help

0 Kudos
Message 1 of 5
(996 Views)

OK, let me get this straight.  You installed 64-bit LabVIEW 2016, the 32-bit Control, Design, and Simulation Module for LabVIEW 2016, and a single 2016 Device Driver for 488.2, for which you may or may not be licensed.  You have LabVIEW code created on another computer (version unknown and unspecified, but presumably licensed to your University).  This code does something (again, not specified), possibly interacting with some device (not specified), and when you try to open the program on your home PC, it has difficulty finding some of the LabVIEW files.

 

Let's start at the beginning.  What Version of LabVIEW (32-bit or 64-bit) is on the University computers where your code was developed?  Are you aware that 64-bit LabVIEW is not compatible with all Devices, Toolkits, and Modules (which is why many, many installations are of 32-bit LabVIEW on a 64-bit OS)?  Do you think posting your VI (that you can't open) would provide us with more data to help us to help you?  If you do choose to post your code, be sure to post the actual VI (or, if you've got a LabVIEW Project, compress the folder that contains all the VIs and attach the resulting .ZIP file), as pictures are pretty much useless for getting at the information we need to help you.

 

Bob Schor

 

P.S. -- what "Edition" of LabVIEW (e.g. Home, Student, Full, etc.) did you install?

0 Kudos
Message 2 of 5
(981 Views)

Re the version used at the university, I believe that it is 2013 but not sure if it is 32 or 64 bit.

The university provided a "current student install serial number" for labview and advised to download the latest 2016 version but did not specifiy 32 or 64 bit, they referenced "32 or 64 bit, whichever is appropriate" in their guidance.

When downloading from the NI site, I selected the version for student/education.

 

Attached is one of the test VI's that was created on the university's system.

0 Kudos
Message 3 of 5
(972 Views)
Solution
Accepted by topic author kmoir200
11-15-2016 12:30 AM

Well, when I tried to open this (without having the CDS installed), I got about a half-dozen requests for VIs from the (missing) CD library that I "ignore"d.

 

It is possible that the 32-bit CDS Toolkit will work with 64-bit LabVIEW 2016.  There is a list that has been posted on the Forum showing what is compatible with 64-bit LV 2016, but I am not sure where to find it.

 

The source code that you posted is still in LabVIEW 2013 (which may explain why I could open it without serious problems).  My advice would be to uninstall all of LabVIEW, download LabVIEW 2016 32-bit, then reinstall LabVIEW, DCS, and the 488.2 Device Driver.  See if that works better (it certainly won't be any worse, and at least all of your LabVIEW stuff will be self-consistent).

 

Bob Schor

0 Kudos
Message 4 of 5
(966 Views)

ok thanks - I'll give that a go.

0 Kudos
Message 5 of 5
(961 Views)